<div class="modal-header">
    <h3 class="modal-title">{{infos.name}} <small>{{infos.domain}} {{infos.valuetype}}</small></h3>
</div>
<div id="propinfo" class="modal-body">
    <div>
        <blockquote ng-show="infos.description">
            <p>{{infos.description}}</p>
        </blockquote>
    </div>
    <pre class="alert alert-danger" ng-show="serverresponse.servererror">{{serverresponse.servererror.data}}</pre>
    <div class="table-responsive force-scroll" ng-class="{'bg-danger': removalActivated}">
        <table ng-table="infosParams" class="table table-striped table-condensed table-hover table-bordered" 
               ng-init="initPFList()">
            <tr ng-repeat="p in $data" id="infopopupline{{p.id}}" 
                ng-class="{'danger': editedProperties[p.id] && serverresponse.servererror, '': !editedProperties[p.id] || !serverresponse.servererror}">
                <td class="icon-column">
                    <button type="button" class="btn btn-danger btn-danger-inv" ng-click="activateRemoval(p)" ng-hide="editedProperties[p.id]">
                        <span class="glyphicon glyphicon glyphicon-trash"></span>
                    </button>
                    <button type="button" class="btn btn-danger" ng-click="cancelUpdate(p)" ng-show="editedProperties[p.id]">
                        <span class="glyphicon glyphicon-remove"></span>
                    </button>
                </td>
                <td class="icon-column">
                    <button type="button" class="btn btn-primary btn-primary-inv" 
                            ng-click="activateEdition(p);envList=envmanager.getEnvList(p.country);plist=envmanager.getEnvPflist(p.environment);" 
                            ng-hide="editedProperties[p.id]">
                        <span class="glyphicon glyphicon-pencil"></span>
                    </button>
                    <button id="updatePropBtn{{p.id}}" type="button" class="btn btn-success" ng-click="updateProperty(p)" 
                            ng-show="editedProperties[p.id]">
                        <span class="glyphicon glyphicon-ok"></span>
                    </button>
                </td>
                <td data-title="'Pays'">
                    <span ng-hide="editedProperties[p.id] && !removalActivated">{{p.country}}</span>
                    <select ng-show="editedProperties[p.id] && !removalActivated" class="form-control" ng-model="p.country" name="country" 
                            ng-change="envList=envmanager.getEnvList(p.country); p.platform='all'; p.environment='all'">
                        <option value="all" selected>Tout pays</option>
                        <option ng-repeat="c in envmanager.countryList" value="{{c.name}}" ng-selected="c.name == p.country">{{c.name}}</option>
                    </select>
                </td>
                <td data-title="'Environment'" filter="{ 'environment': 'text' }">
                    <span ng-hide="editedProperties[p.id] && !removalActivated">{{p.environment}}</span>
                    <select ng-show="editedProperties[p.id] && !removalActivated" class="form-control" ng-model="p.environment" name="environment" 
                            ng-change="plist=envmanager.getEnvPflist(p.environment); p.platform='all'">
                        <option value="all" selected>Tout environnement</option>
                        <option ng-repeat="e in envList" value="{{e.name}}" ng-selected="e.name == p.environment">{{e.name}}</option>
                    </select>
                </td>
                <td data-title="'Plateforme'"  filter="{ 'platform': 'text' }">
                    <span ng-hide="editedProperties[p.id] && !removalActivated">{{p.platform}}</span>
                    <select ng-show="editedProperties[p.id] && !removalActivated" class="form-control" ng-model="p.platform" name="platform" >
                        <option value="all" selected="selected">Toutes</option>
                        <option ng-repeat="pf in plist" value="{{pf.name}}" ng-selected="pf.name == p.platform">{{pf.name}}</option>
                    </select>
                </td>
                <td data-title="'Valeur'">
                    <span ng-hide="editedProperties[p.id] && !removalActivated">{{p.value}}</span>
                    <input class="form-control" name="value{{p.id}}" type='text' ng-model="p.value" value="{{p.value}}" required 
                           ng-show="editedProperties[p.id] && !removalActivated">
                </td>
                <td data-title="'Template'">
                    <span ng-hide="editedProperties[p.id] && !removalActivated">{{p.template}}</span>
                    <input class="form-control" name="template{{p.id}}" type='text' ng-model="p.template" value="{{p.template}}" 
                           typeahead="tmpl for tmpl in envmanager.templateList | filter:$viewValue | limitTo:8" 
                           ng-change="uimgr.getTemplateOrValue(p)"
                           ng-selected="uimgr.getTemplateOrValue(p)"
                           ng-show="editedProperties[p.id] && !removalActivated">
                </td>
                <td data-title="'Version'">
                    <span ng-hide="editedProperties[p.id] && !removalActivated">{{p.version}}</span>
                    <input class="form-control" name="version{{p.id}}" type='text' ng-model="p.version" 
                           value="{{p.version}}" 
                           typeahead="version for version in envmanager.versionsList | filter:$viewValue | limitTo:8" 
                           ng-show="editedProperties[p.id] && !removalActivated">
                </td>
                <td data-title="'Version d arret'">
                    <span ng-hide="editedProperties[p.id] && !removalActivated">{{p.version_limit}}</span>
                    <input class="form-control" name="endversion{{p.id}}" type='text' 
                           ng-model="p.version_limit" value="{{p.version_limit}}" 
                           typeahead="version for version in envmanager.versionsList | filter:$viewValue | limitTo:8" 
                           ng-show="editedProperties[p.id] && !removalActivated">
                </td>
                <td data-title="'Editeur'">{{p.editor}}</td>
                <td data-title="'Modifi&eacute;&nbsp;le'" class="do_not_wrap_white_space">{{p.lastupdate}}</td>
           </tr>
        </table>
    </div>
</div>
<div class="modal-footer">
    <button class="btn btn-success pull-left" ng-click="addNewProperty()" ng-disabled="removalActivated || modificationActivated"><span class="glyphicon glyphicon glyphicon-add"></span>Ajouter</button>
    <button class="btn btn-warning" ng-click="close()" ng-disabled="removalActivated || modificationActivated"><span class="glyphicon glyphicon glyphicon-close"></span>Fermer</button>
</div>
